summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--git/binutils_rev2
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1221
-rw-r--r--jenkins/notify-init.log330
-rw-r--r--jenkins/rewrite.log20
-rw-r--r--jenkins/run-build.env6
-rw-r--r--manifest.sh2
-rw-r--r--notify/jira/comment-template.txt2
-rw-r--r--notify/jira/components1
-rw-r--r--notify/jira/description13
-rw-r--r--notify/jira/startdate1
-rw-r--r--notify/jira/summary1
-rw-r--r--notify/mail-body.txt28
-rw-r--r--notify/mail-recipients.txt2
-rw-r--r--notify/mail-subject.txt2
15 files changed, 1390 insertions, 243 deletions
diff --git a/git/binutils_rev b/git/binutils_rev
index 955bcf4..0bf8782 100644
--- a/git/binutils_rev
+++ b/git/binutils_rev
@@ -1 +1 @@
-def86538a46f7ce6fbb215cfb184e23015b5d538
+eefa1c2a6465dff111cf0a3f58269a84ed75115e
diff --git a/jenkins/build-name b/jenkins/build-name
index 8f931ce..81a38ed 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#369-binutils-R1
+#370-binutils-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 21a4e42..29cc2f8 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -d: -f 1
+ host=tcwg-jade-06
+ local port
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 2
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+ port=
+ local dir
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_6
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
+ local opts
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 4
-+ opts=-p36331
++ opts=-p36371
+ local env_vars
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_6
-+ ssh -p36331 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_6 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
++ ssh -p36371 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -70,8 +70,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -81,31 +81,31 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-# Debug traces :
+ ci_config=master-aarch64
+# Debug traces :
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/368/
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/368/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
-+ '[' ignore = precommit ']'
# check_source_changes
++ '[' ignore = precommit ']'
+ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xdef86538a46f7ce6fbb215cfb184e23015b5d538 '!=' x53beac2e23bcffe632bb837c97003998e6986ce9 ']'
+++ '[' xeefa1c2a6465dff111cf0a3f58269a84ed75115e '!=' xdef86538a46f7ce6fbb215cfb184e23015b5d538 ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=def86538a46f7ce6fbb215cfb184e23015b5d538
++ first_bad=eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=53beac2e23bcffe632bb837c97003998e6986ce9
++ last_good=def86538a46f7ce6fbb215cfb184e23015b5d538
+ local res
+ res=0
-+ wait 66298
++ wait 79144
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
++ base_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-++ git -C binutils rev-parse 'def86538a46f7ce6fbb215cfb184e23015b5d538^@'
++ cur_rev=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ git -C binutils rev-parse 'eefa1c2a6465dff111cf0a3f58269a84ed75115e^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f603d794f94cb8e6ffb86e0eb78b739788b448b6 = 53beac2e23bcffe632bb837c97003998e6986ce9 ']'
-+ return 1
++ '[' def86538a46f7ce6fbb215cfb184e23015b5d538 = def86538a46f7ce6fbb215cfb184e23015b5d538 ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-+ change_kind=single_component
+ echo '# Debug traces :'
-# change_kind=single_component : binutils
-+ echo '# change_kind=single_component : binutils'
+# change_kind=single_commit : binutils
++ echo '# change_kind=single_commit : binutils'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
++ base_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-++ git -C binutils rev-list --count 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-# rev for binutils : 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538 (5 commits)
++ cur_rev=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ git -C binutils rev-list --count def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ c_commits=1
+# rev for binutils : def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e (1 commits)
++ echo '# rev for binutils : def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e (1 commits)'
-+ c_commits=5
-+ echo '# rev for binutils : 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538 (5 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -231,12 +231,264 @@
+ generate_extra_details_f=gnu_generate_extra_details
+ print_config_f=gnu_print_config
+ post_interesting_commits init
-# post_interesting_commits
+ set -euf -o pipefail
+# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 79224
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=081ebab12
+++ '[' 0 -ne 0 ']'
+++ echo 081ebab12
++ sha1=081ebab12
++ git -C interesting-commits checkout --detach 081ebab12
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 8c2c38428 Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 8c2c38428
+
+HEAD is now at 081ebab12 Add entry cb05acdcea298b62e7fb00dcc153f5d506d085fe from https://ci.linaro.org/job/tcwg_gnu_native_check_gcc--master-aarch64-build/674/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ subdir3=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build
+++ local dir=binutils/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 3 -ge 3 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ '[' 3 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
++ subdir4=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build master-aarch64
+++ local dir=binutils/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 4 -ge 3 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ '[' 4 -ge 4 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ subdir5=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ '[' -d interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e ']'
++ mkdir -p interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
++ mkdir -p interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo def86538a46f7ce6fbb215cfb184e23015b5d538
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/'
+[detached HEAD 96714281a] Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/last_good
++ wait 91309
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -245,15 +497,579 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ isubdir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url ']'
++ local first_url
+++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
++ first_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/ = https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
-# post_interesting_commits
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ wait 91379
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=081ebab12
+++ '[' 0 -ne 0 ']'
+++ echo 081ebab12
++ sha1=081ebab12
++ git -C interesting-commits checkout --detach 081ebab12
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 96714281a Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 96714281a
+
+HEAD is now at 081ebab12 Add entry cb05acdcea298b62e7fb00dcc153f5d506d085fe from https://ci.linaro.org/job/tcwg_gnu_native_check_gcc--master-aarch64-build/674/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ subdir3=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build
+++ local dir=binutils/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 3 -ge 3 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ '[' 3 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
++ subdir4=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build master-aarch64
+++ local dir=binutils/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 4 -ge 3 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ '[' 4 -ge 4 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ subdir5=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ '[' -d interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e ']'
++ mkdir -p interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
++ mkdir -p interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo def86538a46f7ce6fbb215cfb184e23015b5d538
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ set -euf -o pipefail
++ local subdir=interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status-summary.txt binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# true:
+0
+# build_abe binutils:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# true:
+0
+# build_abe binutils:
+1'
++ return 0
++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt
++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status.txt
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts
++ cat
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ ls
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ ls
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status.txt ']'
++ echo '* tcwg_binutils_build'
++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=binutils
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e true
+++ local component=binutils
+++ local sha1=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ match=(--match "binutils*")
+++ git -C binutils describe --match 'binutils*' eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ describe=binutils-2_41-release-910-geefa1c2a646
+++ echo binutils-2_41-release-910-geefa1c2a646
+++ sed 's,^basepoints/,,'
++ describe=binutils-2_41-release-910-geefa1c2a646
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit binutils-2_41-release-910-geefa1c2a646'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.RLT6bKbpKG
++ git -C binutils log -n1 eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ tail -n +2
++ head -n 10 /tmp/tmp.RLT6bKbpKG
+++ cat /tmp/tmp.RLT6bKbpKG
+++ wc -l
++ more_lines=-6
++ '[' -6 -gt 0 ']'
++ rm /tmp/tmp.RLT6bKbpKG
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/commit-log.txt
++ true
++ local jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/key ']'
++ '[' -e interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira ']'
++ mkdir interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e true
++++ local component=binutils
++++ local sha1=eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "binutils*")
++++ git -C binutils describe --match 'binutils*' eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ describe=binutils-2_41-release-910-geefa1c2a646
++++ echo binutils-2_41-release-910-geefa1c2a646
++++ sed 's,^basepoints/,,'
+++ describe=binutils-2_41-release-910-geefa1c2a646
+++ '[' --oneline = --oneline ']'
+++ echo binutils-2_41-release-910-geefa1c2a646
+++ return 0
+++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status-summary.txt
++ echo binutils-2_41-release-910-geefa1c2a646: Success
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/summary
++ cat
+++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/commit-log.txt
+++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status.txt
+++ print_icommits_link binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/yaml
+++ set -euf -o pipefail
+++ local path=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/yaml
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Binutils)
++ IFS=,
++ echo Binutils
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/components
++ local commit_date
+++ git -C binutils log -n1 --pretty=%cd --date=iso eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ commit_date='2023-10-26 00:00:29 +0000'
++ date -d '2023-10-26 00:00:29 +0000' +%Y-%m-%d
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
+++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/key'
+WARNING: no existing jira card interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/key
++ return 0
++ local describe
+++ describe_sha1 binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e false
+++ local component=binutils
+++ local sha1=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ match=(--match "binutils*")
+++ git -C binutils describe --match 'binutils*' eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ describe=binutils-2_41-release-910-geefa1c2a646
++ '[' binutils-2_41-release-910-geefa1c2a646 '!=' '' ']'
++ local d
+++ dirname binutils-2_41-release-910-geefa1c2a646
++ d=.
++ mkdir -p interesting-commits/binutils/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ rm -f interesting-commits/binutils/binutils-2_41-release-910-geefa1c2a646
++ ln -s sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e interesting-commits/binutils/binutils-2_41-release-910-geefa1c2a646
++ git -C interesting-commits add binutils/binutils-2_41-release-910-geefa1c2a646
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/'
+[detached HEAD d062ff7d1] Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+ 17 files changed, 70 insertions(+)
+ create mode 120000 binutils/binutils-2_41-release-910-geefa1c2a646
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/commit-log.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/components
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/description
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/startdate
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/summary
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status-summary.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/last_good
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status-summary.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/status.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status-summary.txt
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/status.txt
++ wait 103781
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -263,11 +1079,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ isubdir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ case "$print_arg" in
+++ echo interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ icommit_entry=interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ '[' interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e '!=' '' ']'
++ '[' -d interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira ']'
++ rsync -a interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -291,9 +1119,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -316,23 +1144,15 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
++ base_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-+ read -r email
-++ git -C binutils log --pretty=%ae 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
++ cur_rev=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+ read -r email
+++ git -C binutils log --pretty=%ae def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -343,23 +1163,15 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
++ base_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-+ read -r email
-++ git -C binutils log --pretty=%ce 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
++ cur_rev=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+ read -r email
+++ git -C binutils log --pretty=%ce def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -367,68 +1179,54 @@
+ recipients=()
+ local -a recipients
+ for email in "${!emails[@]}"
-+ type=cc_postcommit
++ type=to
+ case "$precommit_postcommit:$type" in
-+ type=cc
+ case "$type" in
-+ recipients+=("$type:$email")
++ recipients+=("$email")
+ for email in "${!emails[@]}"
-+ type=bcc
++ type=cc_postcommit
+ case "$precommit_postcommit:$type" in
++ type=cc
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=to
++ type=cc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$email")
++ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=to
++ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$email")
++ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,aburgess@redhat.com,blarsen@redhat.com,simon.marchi@efficios.com
++ echo brobecker@adacore.com,cc:linaro-toolchain@lists.linaro.org,cc:gdbadmin@sourceware.org,bcc:tcwg-validation@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git binutils_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/binutils_rev
-++ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
-+++ get_current_git binutils_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/binutils_rev
-++ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-+++ git -C binutils rev-list --count 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-++ c_commits=5
-++ new_commits=5
-+++ echo binutils
-+++ tr ' ' ,
-++ components=binutils
-++ echo '5 commits in binutils'
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e true
++++ local component=binutils
++++ local sha1=eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "binutils*")
++++ git -C binutils describe --match 'binutils*' eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ describe=binutils-2_41-release-910-geefa1c2a646
++++ echo binutils-2_41-release-910-geefa1c2a646
++++ sed 's,^basepoints/,,'
+++ describe=binutils-2_41-release-910-geefa1c2a646
++ '[' --oneline = --oneline ']'
+++ echo binutils-2_41-release-910-geefa1c2a646
++ return 0
++ gnu_print_result --oneline
++ false
@@ -443,7 +1241,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -465,21 +1263,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '5 commits in binutils: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'binutils-2_41-release-910-geefa1c2a646: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/368/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -501,56 +1299,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git binutils_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/binutils_rev
-++ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
-+++ get_current_git binutils_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/binutils_rev
-++ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-+++ git -C binutils rev-list --count 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-++ c_commits=5
-++ new_commits=5
-+++ echo binutils
-+++ tr ' ' ,
-++ components=binutils
-++ echo '5 commits in binutils'
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e true
++++ local component=binutils
++++ local sha1=eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "binutils*")
++++ git -C binutils describe --match 'binutils*' eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ describe=binutils-2_41-release-910-geefa1c2a646
++++ echo binutils-2_41-release-910-geefa1c2a646
++++ sed 's,^basepoints/,,'
+++ describe=binutils-2_41-release-910-geefa1c2a646
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git binutils_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/binutils_rev
-++ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
-+++ get_current_git binutils_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/binutils_rev
-++ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-+++ git -C binutils rev-list --count 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-++ c_commits=5
-++ '[' '' '!=' '' ']'
-++ git -C binutils log -n 5 --oneline 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-++ '[' 5 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit binutils-2_41-release-910-geefa1c2a646'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.OWQgNLzcwz
+++ git -C binutils log -n1 eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ tail -n +2
+++ head -n 10 /tmp/tmp.OWQgNLzcwz
++++ cat /tmp/tmp.OWQgNLzcwz
++++ wc -l
+++ more_lines=-6
+++ '[' -6 -gt 0 ']'
+++ rm /tmp/tmp.OWQgNLzcwz
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -581,7 +1363,7 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -602,8 +1384,93 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_binutils_build/master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
+++ '[' -f interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_binutils_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build master-aarch64
++++ local dir=binutils/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ '[' 4 -ge 3 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
++++ '[' 4 -ge 4 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
+++ isubdir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=binutils
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git binutils_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_url in baseline git' '[' -f base-artifacts/git/binutils_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_url
+++ url=git://sourceware.org/git/binutils-gdb.git
+++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
+++ url=binutils-gdb.git
+++ url='https://sourceware.org/git/?p=binutils-gdb.git'
+++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=eefa1c2a6465dff111cf0a3f58269a84ed75115e'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ local dir=binutils/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ isubdir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ case "$print_arg" in
+++ cat interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/status.txt
# generate dashboard
# generate_dashboard_squad
... Skipping
@@ -622,18 +1489,18 @@
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 66442
-# generate_lnt_report
++ wait 103904
+ set -euf -o pipefail
+# generate_lnt_report
+ echo '# generate_lnt_report'
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/ tcwg_binutils_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/ tcwg_binutils_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+ local ci_project=tcwg_binutils_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -646,9 +1513,9 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ return
+ false
+ post_to_jira
-# post_to_jira
+ set -euf -o pipefail
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 68c67be..e72f4ed 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -d: -f 1
+ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_6
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
+ local opts
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 4
-+ opts=-p36331
++ opts=-p36371
+ local env_vars
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_6
-+ ssh -p36331 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_6 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
++ ssh -p36371 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -70,8 +70,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -81,32 +81,32 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-aarch64
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/368/
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/368/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
-# check_source_changes
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xdef86538a46f7ce6fbb215cfb184e23015b5d538 '!=' x53beac2e23bcffe632bb837c97003998e6986ce9 ']'
+++ '[' xeefa1c2a6465dff111cf0a3f58269a84ed75115e '!=' xdef86538a46f7ce6fbb215cfb184e23015b5d538 ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=def86538a46f7ce6fbb215cfb184e23015b5d538
++ first_bad=eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=53beac2e23bcffe632bb837c97003998e6986ce9
++ last_good=def86538a46f7ce6fbb215cfb184e23015b5d538
+ local res
+ res=0
-+ wait 66185
++ wait 66887
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
++ base_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-++ git -C binutils rev-parse 'def86538a46f7ce6fbb215cfb184e23015b5d538^@'
-# Debug traces :
-# change_kind=single_component : binutils
++ cur_rev=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ git -C binutils rev-parse 'eefa1c2a6465dff111cf0a3f58269a84ed75115e^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f603d794f94cb8e6ffb86e0eb78b739788b448b6 = 53beac2e23bcffe632bb837c97003998e6986ce9 ']'
-+ return 1
-+ change_kind=single_component
++ '[' def86538a46f7ce6fbb215cfb184e23015b5d538 = def86538a46f7ce6fbb215cfb184e23015b5d538 ']'
++ return 0
++ change_kind=single_commit
+# Debug traces :
+ echo '# Debug traces :'
-+ echo '# change_kind=single_component : binutils'
+# change_kind=single_commit : binutils
++ echo '# change_kind=single_commit : binutils'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=53beac2e23bcffe632bb837c97003998e6986ce9
++ base_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=def86538a46f7ce6fbb215cfb184e23015b5d538
-++ git -C binutils rev-list --count 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538
-# rev for binutils : 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538 (5 commits)
++ cur_rev=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ git -C binutils rev-list --count def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ c_commits=1
+# rev for binutils : def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e (1 commits)
++ echo '# rev for binutils : def86538a46f7ce6fbb215cfb184e23015b5d538..eefa1c2a6465dff111cf0a3f58269a84ed75115e (1 commits)'
-+ c_commits=5
-+ echo '# rev for binutils : 53beac2e23bcffe632bb837c97003998e6986ce9..def86538a46f7ce6fbb215cfb184e23015b5d538 (5 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -231,12 +231,264 @@
+ generate_extra_details_f=gnu_generate_extra_details
+ print_config_f=gnu_print_config
+ post_interesting_commits init
-# post_interesting_commits
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+# post_interesting_commits
++ local stage=init
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 66967
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=081ebab12
+++ '[' 0 -ne 0 ']'
+++ echo 081ebab12
++ sha1=081ebab12
++ git -C interesting-commits checkout --detach 081ebab12
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ b0cd32a96 Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-arm-build/374/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> b0cd32a96
+
+HEAD is now at 081ebab12 Add entry cb05acdcea298b62e7fb00dcc153f5d506d085fe from https://ci.linaro.org/job/tcwg_gnu_native_check_gcc--master-aarch64-build/674/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ jira_dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ local dir=binutils/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ subdir3=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build
+++ local dir=binutils/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 3 -ge 3 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ '[' 3 -ge 4 ']'
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
++ subdir4=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ interesting_subdir binutils eefa1c2a6465dff111cf0a3f58269a84ed75115e tcwg_binutils_build master-aarch64
+++ local dir=binutils/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
+++ '[' 4 -ge 3 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build
+++ '[' 4 -ge 4 ']'
+++ dir=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
+++ echo binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ subdir5=binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ '[' -d interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e ']'
++ mkdir -p interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
++ mkdir -p interesting-commits/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo def86538a46f7ce6fbb215cfb184e23015b5d538
++ git -C interesting-commits add binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/'
+[detached HEAD 8c2c38428] Add entry eefa1c2a6465dff111cf0a3f58269a84ed75115e from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/first_url
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/build_url
+ create mode 100644 binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/last_good
++ wait 79053
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index f513a1a..f84742f 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,26 +1,26 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -d: -f 1
+ host=tcwg-jade-06
+ local port
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 2
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+ port=
+ local dir
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_6
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
+ local opts
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 4
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
-+ opts=-p36331
++ opts=-p36371
+ local env_vars
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p36371:
++ cut -s -d: -f 5
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_6:-p36331:
+ env_vars=
+ shift
+ local -a cmd
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_6
-+ ssh -p36331 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_6 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
++ ssh -p36371 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index f872f2a..40bed71 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#369"
+build_name="#370"
docker_opts=(--distro
default
--arch
@@ -7,7 +7,7 @@ arm64
tcwg-jade-06 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#369-binutils"
+build_name="#370-binutils"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master )
-build_name="#369-binutils-R1"
+build_name="#370-binutils-R1"
diff --git a/manifest.sh b/manifest.sh
index a55368c..7e4a931 100644
--- a/manifest.sh
+++ b/manifest.sh
@@ -6,7 +6,7 @@ rr[ci_config]="master-aarch64"
declare -g "scripts_branch=master"
rr[mode]="build"
rr[update_baseline]="onsuccess"
-declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/"
+declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/"
declare -g "SQUAD_GRP="
rr[binutils_git]="git://sourceware.org/git/binutils-gdb.git#master"
# Saving rr[] in the manifest
diff --git a/notify/jira/comment-template.txt b/notify/jira/comment-template.txt
index d9535a8..ab9984d 100644
--- a/notify/jira/comment-template.txt
+++ b/notify/jira/comment-template.txt
@@ -1,3 +1,3 @@
[GNU-692]
Success
-Details: https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts/notify/mail-body.txt/*view*/
+Details: https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/artifact/artifacts/notify/mail-body.txt/*view*/
diff --git a/notify/jira/components b/notify/jira/components
new file mode 100644
index 0000000..df3b0ba
--- /dev/null
+++ b/notify/jira/components
@@ -0,0 +1 @@
+Binutils
diff --git a/notify/jira/description b/notify/jira/description
new file mode 100644
index 0000000..66d21b4
--- /dev/null
+++ b/notify/jira/description
@@ -0,0 +1,13 @@
+commit binutils-2_41-release-910-geefa1c2a646
+Author: GDB Administrator <gdbadmin@sourceware.org>
+Date: Thu Oct 26 00:00:29 2023 +0000
+
+ Automatic date update in version.in
+
+* tcwg_binutils_build
+** master-aarch64
+*** Success
+*** https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt
+*** https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
+
+Latest data: https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/jira/yaml
diff --git a/notify/jira/startdate b/notify/jira/startdate
new file mode 100644
index 0000000..077c0cf
--- /dev/null
+++ b/notify/jira/startdate
@@ -0,0 +1 @@
+2023-10-26
diff --git a/notify/jira/summary b/notify/jira/summary
new file mode 100644
index 0000000..5359109
--- /dev/null
+++ b/notify/jira/summary
@@ -0,0 +1 @@
+binutils-2_41-release-910-geefa1c2a646: Success
diff --git a/notify/mail-body.txt b/notify/mail-body.txt
index 5e94848..fafdf4b 100644
--- a/notify/mail-body.txt
+++ b/notify/mail-body.txt
@@ -2,12 +2,11 @@ Dear contributor, our automatic CI has detected problems related to your patch(e
In binutils_build master-aarch64 after:
- | 5 commits in binutils
- | def86538a46 gdb/testsuite: add a clang XFAIL to gdb.python/py-watchpoint.exp
- | f603d794f94 gdb/testsuite: fix running gdb.python/py-explore-cc with clang
- | fe7c8e26fca gdbserver: don't leak program name in handle_v_run
- | f9b96f673e6 gdb: make get_symbol_address a private method of symbol
- | 23e6f781518 gdb: make get_msymbol_address a private method of minimal_symbol
+ | commit binutils-2_41-release-910-geefa1c2a646
+ | Author: GDB Administrator <gdbadmin@sourceware.org>
+ | Date: Thu Oct 26 00:00:29 2023 +0000
+ |
+ | Automatic date update in version.in
Results changed to
# reset_artifacts:
@@ -31,6 +30,19 @@ CI config tcwg_binutils_build/master-aarch64
-----------------8<--------------------------8<--------------------------8<--------------------------
The information below can be used to reproduce a debug environment:
-Current build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts
-Reference build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/368/artifact/artifacts
+Current build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/artifact/artifacts
+Reference build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/369/artifact/artifacts
+
+Reproduce last good and first bad builds: https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
+
+Full commit : https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=eefa1c2a6465dff111cf0a3f58269a84ed75115e
+
+Latest bug report status : https://linaro.atlassian.net/browse/GNU-692
+
+List of configurations that regressed due to this commit :
+* tcwg_binutils_build
+** master-aarch64
+*** Success
+*** https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/eefa1c2a6465dff111cf0a3f58269a84ed75115e/tcwg_binutils_build/master-aarch64/details.txt
+*** https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/370/
diff --git a/notify/mail-recipients.txt b/notify/mail-recipients.txt
index 736aacf..4dfa427 100644
--- a/notify/mail-recipients.txt
+++ b/notify/mail-recipients.txt
@@ -1 +1 @@
-cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,aburgess@redhat.com,blarsen@redhat.com,simon.marchi@efficios.com
+brobecker@adacore.com,cc:linaro-toolchain@lists.linaro.org,cc:gdbadmin@sourceware.org,bcc:tcwg-validation@linaro.org
diff --git a/notify/mail-subject.txt b/notify/mail-subject.txt
index 8e17804..9307e82 100644
--- a/notify/mail-subject.txt
+++ b/notify/mail-subject.txt
@@ -1 +1 @@
-[Linaro-TCWG-CI] 5 commits in binutils: Success on aarch64
+[Linaro-TCWG-CI] binutils-2_41-release-910-geefa1c2a646: Success on aarch64